org.apache.ignite.internal.processors.platform.cluster

## Class PlatformClusterGroup

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.cluster.PlatformClusterGroup

All Implemented Interfaces:
  PlatformTarget

    public class PlatformClusterGroup
    extends PlatformAbstractTarget

Interop projection.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformClusterGroup(PlatformContext platformCtx, ClusterGroupEx prj)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `processInLongOutLong(int type, long val)` Process IN operation.
`PlatformTarget` `processInObjectStreamOutObjectStream(int type, PlatformTarget arg, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`long` `processInStreamOutLong(int type, BinaryRawReaderEx reader)` Process IN operation.
`PlatformTarget` `processInStreamOutObject(int type, BinaryRawReaderEx reader)` Process IN-OUT operation.
`void` `processInStreamOutStream(int type, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`PlatformTarget` `processOutObject(int type)` Process OUT operation.
`void` `processOutStream(int type, BinaryRawWriterEx writer)` Process OUT operation.
`ClusterGroupEx` `projection()`

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, platformContext, processInStreamAsync, processInStreamOutLong, readAndListenFuture, readAndListenFuture, readAndListenFuture, throwUnsupported, wrapListenable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformClusterGroup

    public PlatformClusterGroup(PlatformContext platformCtx,
                                ClusterGroupEx prj)

Constructor.

Parameters:
  `platformCtx` - Context.
  `prj` - Projection.

### Method Detail

#### processOutStream

    public void processOutStream(int type,
                                 BinaryRawWriterEx writer)
                          throws IgniteCheckedException

Process OUT operation.

Specified by:
  `processOutStream` in interface `PlatformTarget`
Overrides:
  `processOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutStream

    public void processInStreamOutStream(int type,
                                         BinaryRawReaderEx reader,
                                         BinaryRawWriterEx writer)
                                  throws IgniteCheckedException

Process IN-OUT operation.

Specified by:
  `processInStreamOutStream` in interface `PlatformTarget`
Overrides:
  `processInStreamOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutLong

    public long processInStreamOutLong(int type,
                                       BinaryRawReaderEx reader)
                                throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInStreamOutLong` in interface `PlatformTarget`
Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutObject

    public PlatformTarget processInStreamOutObject(int type,
                                                   BinaryRawReaderEx reader)
                                            throws IgniteCheckedException

Process IN-OUT operation.

Specified by:
  `processInStreamOutObject` in interface `PlatformTarget`
Overrides:
  `processInStreamOutObject` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInObjectStreamOutObjectStream

    public PlatformTarget processInObjectStreamOutObjectStream(int type,
                                                               @Nullable
                                                               PlatformTarget arg,
                                                               BinaryRawReaderEx reader,
                                                               BinaryRawWriterEx writer)
                                                        throws IgniteCheckedException

Process IN-OUT operation.

Specified by:
  `processInObjectStreamOutObjectStream` in interface `PlatformTarget`
Overrides:
  `processInObjectStreamOutObjectStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `arg` - Argument.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processOutObject

    public PlatformTarget processOutObject(int type)
                                    throws IgniteCheckedException

Process OUT operation.

Specified by:
  `processOutObject` in interface `PlatformTarget`
Overrides:
  `processOutObject` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInLongOutLong

    public long processInLongOutLong(int type,
                                     long val)
                              throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInLongOutLong` in interface `PlatformTarget`
Overrides:
  `processInLongOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `val` - Value.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### projection

    public ClusterGroupEx projection()

Returns:
  Projection.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018